import request from '@/utils/request'

/**
 * 科目下试卷列表
*/
export function getPaperList(params) {
  return request({
    url: '/front/papers/list',
    method: 'get',
    params: params
  })
}

/**
 * 考试记录
*/
export function getExamRecords(params) {
  return request({
    url: '/front/customer/records',
    method: 'get',
    params: params
  })
}

/**
 * 考试记录详情
*/
export function getExamRecordsDetail(params) {
  return request({
    url: '/front/customer/recordDetail',
    method: 'get',
    params: params
  })
}

/**
 * 错题本题目列表
*/
export function getWrongQuestions(params) {
  return request({
    url: '/front/v2/wrongBook/wrongQuestions',
    method: 'get',
    params: params
  })
}

export function getWrongQuestionPaper(params) {
  return request({
    url: '/front/v2/wrongBook/wrongExaminees',
    method: 'get',
    params: params
  })
}
export function getObjectivePaperStatistic(params) {
  return request({
    url: '/front/papers/getObjectivePaperStatistic',
    method: 'get',
    params: params
  })
}

